Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim.util
Class LongKeyTreeMap.Entry

    java.lang.Object
      ix.isim.util.LongKeyTreeMap.Entry

Enclosing class:
  LongKeyTreeMap

    static class LongKeyTreeMap.Entry

extends java.lang.Object

A node in the tree. Doubles as a means to pass key-value pairs back to user.

Field Summary
`protected boolean` | `color`
`protected long` | `key`
`protected LongKeyTreeMap.Entry` | `left`
`protected LongKeyTreeMap.Entry` | `parent`
`protected LongKeyTreeMap.Entry` | `right`
`protected java.lang.Object` | `value`

Constructor Summary
`LongKeyTreeMap.Entry(long key, java.lang.Object value, LongKeyTreeMap.Entry parent)` Make a new cell with given key, value, and parent, and with `null` child links, and BLACK color.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.Object` | `setValue(java.lang.Object newVal)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected long key

### value

    protected java.lang.Object value

### left

    protected LongKeyTreeMap.Entry left

### right

    protected LongKeyTreeMap.Entry right

### parent

    protected LongKeyTreeMap.Entry parent

### color

    protected boolean color

Constructor Detail

### LongKeyTreeMap.Entry

    LongKeyTreeMap.Entry(long key,
                         java.lang.Object value,
                         LongKeyTreeMap.Entry parent)

  Make a new cell with given key, value, and parent, and with `null` child links, and BLACK color.

  Parameters:
    `key` - the key of the mapping
    `value` - the value to which the key is to be mapped
    `parent` - the parent `Entry` in the tree

Method Detail

### setValue

    public java.lang.Object setValue(java.lang.Object newVal)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD